"use strict";
const base_1 = require("./base");
class AuthError extends base_1.BaseError {
    constructor(code = AuthError.AUTH_REJECTED, headers = {}) {
        super(Object.assign({}, AuthError.defaultOptions, {
            code,
            innerDetails: headers
        }));
        this.errorPrefix = 'ERROR_AUTH_';
        this.code = this.errorPrefix + code;
    }
}
AuthError.TOKEN_IS_INVALID = 'TOKEN_IS_INVALID';
AuthError.AUTH_REJECTED = 'AUTH_REJECTED';
AuthError.defaultOptions = {
    code: AuthError.TOKEN_IS_INVALID,
    status: base_1.BaseError.CODE_UNAUTHORIZED
};
exports.AuthError = AuthError;
