export interface IInnoErrorOptions {
    code?: string;
    innerDetails?: any;
    details?: any;
    status?: number;
}
export declare class BaseError extends Error {
    static readonly INTERNAL: string;
    static readonly CODE_BAD_REQUEST: number;
    static readonly CODE_UNAUTHORIZED: number;
    static readonly CODE_FORBIDDEN: number;
    static readonly CODE_NOT_FOUND: number;
    static readonly CODE_METHOD_NOT_ALLOWED: number;
    static readonly CODE_INTERNAL_SERVER_ERROR: number;
    static defaultOptions: IInnoErrorOptions;
    errorPrefix: string;
    code: string;
    details: any;
    status: number;
    readonly message: string;
    protected innerDetails: any;
    constructor(options?: IInnoErrorOptions);
    private _jsonReplacer(key, value);
    private _getDetails(obj);
}
