import { BaseError, IInnoErrorOptions } from "./base";
export interface IValidationErrorDetails {
    invalidField: string;
    invalidValue: any;
}
export declare class ValidationError extends BaseError {
    static readonly VALIDATION: TValidationErrorCode;
    static readonly NO_STRING: TValidationErrorCode;
    static readonly NO_INT: TValidationErrorCode;
    static readonly NO_EMAIL: TValidationErrorCode;
    static readonly INT_OUT_OF_BOUNDS: TValidationErrorCode;
    static readonly STRING_OUT_OF_BOUNDS: TValidationErrorCode;
    static defaultOptions: IInnoErrorOptions;
    details: IValidationErrorDetails;
    constructor(code?: TValidationErrorCode, invalidField?: string, invalidValue?: any);
}
export declare type TValidationErrorCode = 'VALIDATION' | 'NO_STRING' | 'NO_INT' | 'NO_EMAIL' | 'INT_OUT_OF_BOUNDS' | 'STRING_OUT_OF_BOUNDS';
