"use strict";
const base_1 = require("./base");
class ValidationError extends base_1.BaseError {
    constructor(code = ValidationError.VALIDATION, invalidField, invalidValue) {
        super(Object.assign({}, ValidationError.defaultOptions, {
            code,
            details: {
                invalidField,
                invalidValue
            }
        }));
        this.errorPrefix = 'ERROR_VALIDATION_';
        this.code = this.errorPrefix + code;
    }
}
ValidationError.VALIDATION = 'VALIDATION';
ValidationError.NO_STRING = 'NO_STRING';
ValidationError.NO_INT = 'NO_INT';
ValidationError.NO_EMAIL = 'NO_EMAIL';
ValidationError.INT_OUT_OF_BOUNDS = 'INT_OUT_OF_BOUNDS';
ValidationError.STRING_OUT_OF_BOUNDS = 'STRING_OUT_OF_BOUNDS';
ValidationError.defaultOptions = {
    code: ValidationError.VALIDATION,
    innerDetails: {},
    details: {},
    status: base_1.BaseError.CODE_BAD_REQUEST
};
exports.ValidationError = ValidationError;
